/*
 * Segment 5 Intelligente Analyseverfahren, SWE 5.4 Funktionen Fuzzy
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.fuzzylib.fuzzylib;

import java.util.ResourceBundle;

import com.bitctrl.i18n.MessageHandler;

/**
 * Versorgt das Package {@link de.bsvrz.iav.fuzzylib.fuzzylib}, samt
 * Subpackages, mit lokalisierten Meldungen.
 *
 * @author BitCtrl Systems GmbH, Falko Schumann
 */
public enum FuzzyLibMsg implements MessageHandler {

	/** Parameter: 1) Zugehörigkeit. */
	ZugehoerigkeitUngueltig,

	/** Keine Parameter. */
	KeinName,

	/** Keine Parameter. */
	TrapezeckenUnsortiert,

	/** Keine Parameter. */
	TermnameUngueltig,

	/** Keine Parameter. */
	VariablennameUngueltig,

	/** Parameter: 1) Minimum, 2) Maximum. */
	WertebereichUngueltig,

	/** Keine Parameter. */
	LeereTermliste,

	/** Parameter: 1) Erstes Fuzzy-Set, 2) Zweites Fuzzy-Set. */
	FuzzySetMit2PunktenUngueltig,

	/** Parameter: 1) Variablenname, 2) Termname. */
	TermNichtGefunden,

	/** Keine Parameter. */
	FalscheFuzzyVariable,

	/** Keine Parameter. */
	OperandenListeIstNull;

	/** Das Resource-Bundle. */
	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(FuzzyLibMsg.class.getCanonicalName());

	/**
	 * {@inheritDoc}
	 */
	@Override
	public ResourceBundle getResourceBundle() {
		return RESOURCE_BUNDLE;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString() {
		return RESOURCE_BUNDLE.getString(name());
	}
}
